#[cfg(test)]
#[macro_export]
macro_rules! call_endpoint {
    ($req:ident, $db:ident) => {{
        let state = AppState { db: $db };
        let a = App::new()
            .app_data(state)
            .service(crate::api::applications::list_applications);
        let mut app = actix_web::test::init_service(a).await;
        let resp = actix_web::test::call_service(&mut app, $req).await;
        resp
    }};
}

pub mod applications;

mod api_prelude {
    pub use crate::entity::prelude::*;
    pub use crate::entity::*;
    pub use crate::AppState;
    pub use actix_web::{get, web, Error, HttpResponse};
    pub use sea_orm::prelude::*;
}

#[cfg(test)]
mod test_prelude {
    pub use crate::entity::*;
    pub use crate::AppState;

    pub use actix_web::dev::ServiceResponse;
    pub use actix_web::{test, web, App};
    pub use sea_orm::{
        entity::prelude::*, entity::*, tests_cfg::*, DatabaseBackend, MockDatabase, Transaction,
    };
}
